Package ru.bitel.bgbilling.kernel.contract.limit.common.service

# Interface ContractLimitService

public interface ContractLimitService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelLimitChangeTask(int contractId, List<Integer> taskIds)`
  `boolean`
  `checkContractLimitUpdate(int contractId, jakarta.xml.ws.Holder<Integer> amount)`
  `BigDecimal`
  `contractLimitGet(int contractId)`
  `void`
  `contractLimitMove(int contractId, BigDecimal amount, int days)`
  `List<ContractLimitMovement>`
  `contractLimitMovementList(int contractId, Date dateFrom, Date dateTo)`
  `ContractLimitParameters`
  `contractLimitParametersGet(int contractId)`
  `BigDecimal`
  `getCurrentContractLimit(int contractId)`
  `SearchResult<ContractLimitAvto>`
  `searchContractLimitAvtoList(int contractId, String status, String[] sort, Page page)`
  `SearchResult<ContractSubPanelLog>`
  `searchContractLimitLog(int contractId, Page page, Period period, String[] sort)`
  `SearchResult<ContractLimitLog>`
  `searchContractLimitLogList(int contractId, Period period, String[] sort, Page page)`
  `SearchResult<ContractSubPanelManage>`
  `searchContractLimitManage(int contractId, Page page, String[] sort)`
  `void`
  `setContractLimitMode(int contractId, int mode)`
  `void`
  `updateContractLimit(int contractId, BigDecimal limit, String comment)`
  `void`
  `updateContractLimitPeriod(int contractId, BigDecimal limit, int period, String comment)`
  `void`
  `updateContractLimitPeriodGroupOperation(String contractIds, BigDecimal limit, int period)`
  Данный метод используется в груповых оперциях для временного изменения лимита группе договоров.

- ## Method Details

  - ### searchContractLimitLogList

    SearchResult<ContractLimitLog> searchContractLimitLogList(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchContractLimitAvtoList

    SearchResult<ContractLimitAvto> searchContractLimitAvtoList(int contractId, String status, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractLimitPeriod

    void updateContractLimitPeriod(int contractId, BigDecimal limit, int period, String comment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractLimitPeriodGroupOperation

    void updateContractLimitPeriodGroupOperation(String contractIds, BigDecimal limit, int period) throws ru.bitel.bgbilling.common.BGException
    Данный метод используется в груповых оперциях для временного изменения лимита группе договоров.
    Parameters:
      `contractIds` - коды договоров через запятую. Пример: 1,2,3,4
      `limit` - сумма, на которую необходимо изменить лимит. Пример: -1000
      `period` - период, на который необходимо изменить лимит (в днях). Пример: 6

  - ### contractLimitGet

    BigDecimal contractLimitGet(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractLimitMove

    void contractLimitMove(int contractId, BigDecimal amount, int days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractLimitMovementList

    List<ContractLimitMovement> contractLimitMovementList(int contractId, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractLimitParametersGet

    ContractLimitParameters contractLimitParametersGet(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelLimitChangeTask

    void cancelLimitChangeTask(int contractId, List<Integer> taskIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateContractLimit

    void updateContractLimit(int contractId, BigDecimal limit, String comment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkContractLimitUpdate

    boolean checkContractLimitUpdate(int contractId, jakarta.xml.ws.Holder<Integer> amount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCurrentContractLimit

    BigDecimal getCurrentContractLimit(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchContractLimitLog

    SearchResult<ContractSubPanelLog> searchContractLimitLog(int contractId, Page page, Period period, String[] sort) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchContractLimitManage

    SearchResult<ContractSubPanelManage> searchContractLimitManage(int contractId, Page page, String[] sort) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setContractLimitMode

    void setContractLimitMode(int contractId, int mode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`